window.h File Reference

Definitions of window functions. More...

`#include <itpp/base/vec.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

namespace | itpp
| itpp namespace

## Functions

vec | itpp::hamming (int size)
| Hamming window.
vec | itpp::hanning (int n)
| Hanning window.
vec | itpp::hann (int n)
| Hanning window compatible with matlab.
vec | itpp::blackman (int n)
| Blackman window.
vec | itpp::triang (int n)
| Triangular window.
vec | itpp::sqrt_win (int n)
| Square root window.
vec | itpp::chebwin (int n, double at)
| Dolph-Chebyshev window.

## Detailed Description

Definitions of window functions.

Author
  Tony Ottosson, Tobias Ringstrom, Pal Frenger, Adam Piatyszek and Kumar Appaiah

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file window.h.

Generated on for IT++ by Doxygen 1.15.0